# NACFRC.tcl---NAC FERAbus Readout Controller control frame



set frame FRC
set frametitle "FERAbus Readout Controller"
set icontitle "FRC"

set mname "frc"

set maxmodule 1
set module 1

set rrname(CLEAR)        clear
set rrname(RESET)        reset
set rrname(ENABLEM)      enable_multi
set rrname(ENABLES)      enable_single
set rrname(DISABLEM)     disable_multi
set rrname(DISABLES)        disable_single

loadsource common.camac
set reset_cmd  reset

proc repaint {} {}

proc redisplay-module {} {
   global debug
   if {$debug} then {puts stderr "redisplay-module"}
   camac-address
}

proc click arg {
   global debug rrname wrname
   if {$debug} then {puts stderr "click with argument \{$arg\}"}
   set f [lindex $arg 0]
   set c [lindex $arg 1]
   set w [lindex $arg 2]
   set v [lindex $arg 3]
   if {$c==":quit"} then {click-quit; return}
   switch -glob $w {

      CLEAR  -
      ENABLEM  -
      ENABLES  -
      DISABLEM  -
      DISABLES  -
      RESET      {read-reg $rrname($w)}

      default   {puts stdout $arg}
      }
   click-redisplay
}

set selectmodulemenu {1}


proc make-frame {} {
  global env maxmodule camcrate camstation nchannels
  global selectmodulemenu

  :frame [self frame-name] :label "[self frame-title]" :show-footer T \
      :icon-image "@$env(ICONHOME)/camac_module" \
      :icon-name "[self icon-title]" :resize F

   :panel MODULE :layout T :padx 10
      :layout H; :row-gap 10
      :hskip 150
      :text CAM-CRATE   :label "CAMAC Crate:"    :w 5 :value $camcrate   :deaf T
      :text CAM-STATION :label "CAMAC Station:"  :w 5 :value $camstation :deaf T

      :next-row T; :col-gap 50
      :button RESET  :label "Generate Reset"
      :button CLEAR  :label "Generate Clear"
      :next-row T
      :button ENABLEM   :label "Enable Multiple Event Mode"
      :button DISABLEM  :label "Disable Multiple Event Mode"
      :next-row T
      :button ENABLES   :label "Enable Single Event Mode"
      :button DISABLES  :label "Disable Single Event Mode"

   :show T

}

#proc EG args {puts stdout "$args"; return 7}
